//
//  ViewController.swift
//  Clock
//
//  Created by Holger Hinzberg on 16.01.16.
//  Copyright © 2016 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController
{
    @IBOutlet var timerLabel: UILabel!
    var clockTimer:NSTimer?
    var clockView:AnalogClockView?
    
    override func viewDidLoad()
    {
        let clockFrame = CGRectMake(10, 120, 300, 320)
        self.clockView = AnalogClockView(frame: clockFrame)
        self.view.addSubview(self.clockView!)
        
        return
        
        self.clockTimer = NSTimer.scheduledTimerWithTimeInterval(10, repeats: true)
        {
            // Das aktuelle Datum und die aktuelle Uhrzeit holen
            let today = NSDate()
            
            // Einen NSDateFormatter konfigurieren
            let dateFormatter = NSDateFormatter()
            let germany = NSLocale(localeIdentifier: "de-DE")
            dateFormatter.locale = germany
            let timeZone = NSTimeZone(abbreviation: "GMT+1")
            dateFormatter.timeZone = timeZone
            dateFormatter.dateFormat = "HH:mm:ss"
            
            // Das NSDate-Objekt in einen String konvertieren
            let currentTime = dateFormatter.stringFromDate(today)
            self.timerLabel.text = currentTime
        }
        
        // Den Timer sofort auslösen
        self.clockTimer?.fire()
        super.viewDidLoad()
    }

    override func didReceiveMemoryWarning()
    {
        super.didReceiveMemoryWarning()
    }

    func clockTick(timer:NSTimer)
    {
        /*
        // Das aktuelle Datum und die aktuelle Uhrzeit holen
        let today = NSDate()
        
        // Einen NSDateFormatter konfigurieren
        let dateFormatter = NSDateFormatter()
        let germany = NSLocale(localeIdentifier: "de-DE")
        dateFormatter.locale = germany
        let timeZone = NSTimeZone(abbreviation: "GMT+1")
        dateFormatter.timeZone = timeZone
        dateFormatter.dateFormat = "HH:mm:ss"
        
        // Das NSDate-Objekt in einen String konvertieren
        let currentTime = dateFormatter.stringFromDate(today)
        self.timerLabel.text = currentTime
        */
    }
    
    deinit
    {
        // Der View Controller wird aus dem Speicher entfernt.
        // Den Timer anhalten
        self.clockTimer?.invalidate()
    }
}


